Add sweetcomb-test 46/19946/1
authorAndrej Kozemcak <andrej.kozemcak@pantheon.tech>
Tue, 4 Jun 2019 11:09:58 +0000 (13:09 +0200)
committerAndrej Kozemcak <andrej.kozemcak@pantheon.tech>
Tue, 4 Jun 2019 11:12:48 +0000 (13:12 +0200)
Change-Id: Ic697a5f9e35c9bf651a4e8cfb25630351e6aa542
Signed-off-by: Andrej Kozemcak <andrej.kozemcak@pantheon.tech>
jjb/sweetcomb/include-raw-sweetcomb-test.sh [new file with mode: 0644]
jjb/sweetcomb/sweetcomb.yaml

diff --git a/jjb/sweetcomb/include-raw-sweetcomb-test.sh b/jjb/sweetcomb/include-raw-sweetcomb-test.sh
new file mode 100644 (file)
index 0000000..3abdf52
--- /dev/null
@@ -0,0 +1,25 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+##container server node detection
+grep search /etc/resolv.conf  || true
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+echo "Building using \"make build-root/build.sh\""
+[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes install-test-extra
+[ "x${DRYRUN}" == "xTrue" ] || make build-scvpp
+[ "x${DRYRUN}" == "xTrue" ] || make build-plugins
+[ "x${DRYRUN}" == "xTrue" ] || useradd user
+[ "x${DRYRUN}" == "xTrue" ] || bash -c "echo -e \"user\nuser\" | passwd user"
+[ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes test-plugins
+
+echo "*******************************************************************"
+echo "* SWEETCOMB TEST SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
+
index 51fcb18..8fecf75 100644 (file)
     jobs:
       - 'sweetcomb-verify-{stream}-{os}'
       - 'sweetcomb-merge-{stream}-{os}'
+      - 'sweetcomb-test-{stream}-{os}'
 
     project: 'sweetcomb'
     os:
       - ubuntu1604:
           repo-os-part: 'ubuntu.xenial.main'
+      - ubuntu1804:
+          repo-os-part: 'ubuntu.bionic.main'
       - centos7:
           repo-os-part: 'centos7'
     stream:
           rerun-unstable-builds: false
           max-failed-builds: 1
           fixed-delay: 90
+
+- job-template:
+    name: 'sweetcomb-test-{stream}-{os}'
+
+    project-type: freestyle
+    node: '{os}-us'
+    concurrent: true
+
+    build-discarder:
+      daysToKeep: '{build-days-to-keep}'
+      numToKeep: 100
+      artifactDaysToKeep: '{build-artifact-days-to-keep}'
+      artifactNumToKeep: '{build-artifact-num-to-keep}'
+
+    parameters:
+      - project-parameter:
+          project: '{project}'
+      - gerrit-parameter:
+          branch: '{branch}'
+      - os-parameter:
+          os: '{os}'
+      - repo-name-parameter:
+          repo-name: '{repo-stream-part}.{repo-os-part}'
+      - stream-parameter:
+          stream: '{stream}'
+
+    scm:
+      - gerrit-trigger-scm:
+          credentials-id: 'jenkins-gerrit-credentials'
+          refspec: '$GERRIT_REFSPEC'
+          choosing-strategy: 'gerrit'
+
+    wrappers:
+      - fdio-infra-wrappers:
+          build-timeout: 120
+
+    triggers:
+      - gerrit-trigger-patch-submitted:
+          name: '{project}'
+          branch: '{branch}'
+
+    builders:
+      - config-file-provider:
+          files:
+            - file-id: '.packagecloud'
+              target: '/root'
+      - config-file-provider:
+          files:
+            - file-id: 'packagecloud_api'
+              target: '/root'
+      - shell:
+          !include-raw-escape:
+          - include-raw-sweetcomb-build.sh
+          - include-raw-sweetcomb-test.sh
+    publishers:
+      - archive:
+          allow-empty: 'true'
+          fingerprint: false
+          only-if-success: true
+          default-excludes: false
+      - fdio-infra-shiplogs:
+          maven-version: 'mvn33-new'
+      - naginator:
+          rerun-unstable-builds: false
+          max-failed-builds: 1
+          fixed-delay: 90
+
+    publishers:
+      - fdio-infra-shiplogs:
+          maven-version: 'mvn33-new'